var bo = {};

function init_canvas() {
    bo.canvas = document.getElementById( 'canvas' );
    bo.ctx = bo.canvas.getContext( '2d' );
    bo.canvas_h = bo.canvas.height;
    bo.canvas_w = bo.canvas.width;
}

function init_ball() {
    bo.x = bo.canvas_w / 2;
    bo.y = bo.canvas_h / 2;
    bo.r = 10;
    bo.fill = "rgba(0, 0, 0, 1)";  /* RGB opacity */
}

function draw_circle( x, y, r, fill ) {
    var ctx = bo.ctx;  // dereference

    ctx.fillStyle = fill;
    ctx.beginPath();
    ctx.arc( x, y, r, 0, Math.PI*2, true );
    ctx.closePath();
    ctx.fill();
}

function runCode() {
    init_canvas();
    init_ball();

    draw_circle( bo.x, bo.y, bo.r, bo.fill );
}